TechDraw DiameterDimension/en: Difference between revisions

From FreeCAD Documentation
No edit summary
(Importing a new version from external source)
Line 1: Line 1:
{{GuiCommand/en|Name=TechDraw Dimension Diameter|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Diameter|Shortcut=|SeeAlso=}}
{{GuiCommand|Name=TechDraw Dimension Diameter|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Diameter|Shortcut=|SeeAlso=}}


==Description==
==Description==

Revision as of 21:40, 31 October 2016

TechDraw Dimension Diameter

Menu location
TechDraw → Dimension Diameter
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Description

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.

How to use

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the File:Dimension Diameter.png Dimension Diameter button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

  • DataX: Horizontal position of the dimension text relative to the View.
  • DataY: Vertical position of the dimension text relative to the View.
  • DataFont: The name of the font to use for the dimension text.
  • DataFontsize: Dimension text size in mm.
  • DataFormatSpec: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
  • DataLineWidth: Dimension line weight.
  • DataType: Length,radius,diameter, etc. Not normally manipulated by the end user.
  • DataMeasureType: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.

Scripting

Diameter dimensions can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • None at this time